Mailinglist Archive: opensuse-updates (119 mails)

< Previous Next >
openSUSE-SU-2013:0536-1: moderate: GraphicsMagick: fixed integer overflows
openSUSE Security Update: GraphicsMagick: fixed integer overflows
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:0536-1
Rating: moderate
References: #773612
Cross-References: CVE-2012-3438
Affected Products:
openSUSE 12.3
openSUSE 12.2
openSUSE 12.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


GraphicsMagick was updated to fix integer overflows in the
_png_malloc functions (CVE-2012-3438).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-252

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-252

- openSUSE 12.1:

zypper in -t patch openSUSE-2013-252

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

GraphicsMagick-1.3.17-2.4.1
GraphicsMagick-debuginfo-1.3.17-2.4.1
GraphicsMagick-debugsource-1.3.17-2.4.1
GraphicsMagick-devel-1.3.17-2.4.1
libGraphicsMagick++-devel-1.3.17-2.4.1
libGraphicsMagick++3-1.3.17-2.4.1
libGraphicsMagick++3-debuginfo-1.3.17-2.4.1
libGraphicsMagick3-1.3.17-2.4.1
libGraphicsMagick3-debuginfo-1.3.17-2.4.1
libGraphicsMagickWand2-1.3.17-2.4.1
libGraphicsMagickWand2-debuginfo-1.3.17-2.4.1
perl-GraphicsMagick-1.3.17-2.4.1
perl-GraphicsMagick-debuginfo-1.3.17-2.4.1

- openSUSE 12.2 (i586 x86_64):

GraphicsMagick-1.3.15-14.8.1
GraphicsMagick-debuginfo-1.3.15-14.8.1
GraphicsMagick-debugsource-1.3.15-14.8.1
GraphicsMagick-devel-1.3.15-14.8.1
libGraphicsMagick++-devel-1.3.15-14.8.1
libGraphicsMagick++3-1.3.15-14.8.1
libGraphicsMagick++3-debuginfo-1.3.15-14.8.1
libGraphicsMagick3-1.3.15-14.8.1
libGraphicsMagick3-debuginfo-1.3.15-14.8.1
libGraphicsMagickWand2-1.3.15-14.8.1
libGraphicsMagickWand2-debuginfo-1.3.15-14.8.1
perl-GraphicsMagick-1.3.15-14.8.1
perl-GraphicsMagick-debuginfo-1.3.15-14.8.1

- openSUSE 12.1 (i586 x86_64):

GraphicsMagick-1.3.12-14.4.1
GraphicsMagick-debuginfo-1.3.12-14.4.1
GraphicsMagick-debugsource-1.3.12-14.4.1
GraphicsMagick-devel-1.3.12-14.4.1
libGraphicsMagick++-devel-1.3.12-14.4.1
libGraphicsMagick++3-1.3.12-14.4.1
libGraphicsMagick++3-debuginfo-1.3.12-14.4.1
libGraphicsMagick3-1.3.12-14.4.1
libGraphicsMagick3-debuginfo-1.3.12-14.4.1
libGraphicsMagickWand2-1.3.12-14.4.1
libGraphicsMagickWand2-debuginfo-1.3.12-14.4.1
perl-GraphicsMagick-1.3.12-14.4.1
perl-GraphicsMagick-debuginfo-1.3.12-14.4.1


References:

http://support.novell.com/security/cve/CVE-2012-3438.html
https://bugzilla.novell.com/773612


< Previous Next >
This Thread
  • No further messages